#!/bin/lua
-- (c) 2006 Robert Shingledecker
--
if #arg == 0 then
   print "Uso: cloopmap.lua /tmp/mydsl.map 'percoso.uci' free"
   os.exit(1)
end
filename = arg[1]
target = arg[2]
replace = arg[3]

io.input(arg[1])
local data = {}
for line in io.lines() do data[#data + 1] = line end
io.input()

io.output(arg[1])
found = 0
count = 0
for i = 1, #data do
   line = data[i]
   count = count + 1
   if found == 0 then
      if string.find(line,target,1,1) then
         line = replace
         found = 1
         where = count
      end
   end
   io.write(line .. "\n")
end
io.output()
print(where)
