#!/bin/lua
-- (c) 2006 Robert Shingledecker
-- Boot option desktop=xxx trumps stored backup of desktop choices
dofile("/etc/init.d/functions5.lua")

its = getbootparam("settime")
if its ~= nil then
   its = getbootparam("settime=") or "time-nw.nist.gov"
   os.execute("/usr/local/bin/gettime.lua "..its)
end

desktop = getbootparam("desktop=")
if desktop ~= nil then
  textcolor(AnsiGreen,AnsiNormal)
  io.write("Imposto la scrivania a: ")
  textcolor(AnsiMagenta,AnsiNormal)
  io.write(desktop.."\n")
  textcolor(AnsiWhite,AnsiNormal)
  updateLine("/home/dsl/.desktop","wm","wm: " .. desktop)
end
io.input("/etc/sysconfig/dsluser")
DSLUSER = io.read("*line")
io.input()

os.execute('/etc/init.d/adduser_final.sh '.. DSLUSER)

for _,wmname in ipairs(readDir("/opt/.mydsl_menu")) do
   os.execute("cp /opt/.mydsl_menu/"..wmname.."/menu_template /opt/.mydsl_menu/"..wmname.."/menu")
   os.execute("chown "..DSLUSER..".staff /opt/.mydsl_menu/"..wmname.."/menu")
   os.execute("chmod g+w /opt/.mydsl_menu/"..wmname.."/menu")
end

for _,appname in ipairs(readDir("/tmp/mydsl.menu")) do
    os.execute("sudo -u dsl /usr/bin/desktop.sh "..appname.." booting")
end
