#!/bin/lua
-- (c) 2005, 2006 Robert Shingledecker
-- iconclean removes non anchor icons
require("fltk")

function processInfo(filename)
   local infodata,err = io.open(filename,"r")
   if not infodata then
      print("Impossibile aprire file " .. filename .. ":" .. err)
      return nil
   end
   local infodatum = infodata:read("*a")
   infodata:close()
   
   if string.find(infodatum,"anchor") == nil then
      iconFiles = string.sub(filename,1,-4).."*"
      os.execute("rm -f "..iconFiles)
   end
   return
end

-- Main

listname = os.tmpname()
if os.execute('ls -1 .xtdesktop/*.lnk > ' .. listname) ~= 0 then
   print("No Icons Found.")
   os.exit(1)
end
local listitems,err = io.open(listname,"r")
if not listitems then
   print("Cannot open file " .. listname .. ":" .. err)
   os.exit(1)
end
local infoitem = listitems:read("*l")
while infoitem do
   processInfo(infoitem)
   infoitem = listitems:read("*l")
end
listitems:close()
os.remove(listname)
