#!/bin/lua 
-- (c) Robert Shingledecker 2005, 2006
-- Parse System Parameters in the form of TARGET="result"
-- typically used in /etc/sysconfig/knoppix

if #arg == 0 then
   print "Usage: target"
   os.exit(1)
end

target = arg[1]
filename = "/etc/sysconfig/knoppix"
local filein,err = io.open(filename,"r")
if not filein then
   print("Impossibile aprire il file "..filename..":"..err)
   os.exit(1)
end
local data = {}
for line in filein:lines() do data[#data + 1] = line end
filein:close()

for i = 1, #data do
   line = data[i]
   if string.find(line,target) then
      local _,j = string.find(line,'=')
      result = string.sub(line,j+2,-2)
      print(result)
      os.exit(0)
   end
end
