#!/bin/lua
-- (c) 2004-2006 Robert Shingledecker 
-- GUI frontend to filetool.sh

require("fltk")
w = fltk:Fl_Window(320,75, "Filetool")
input = fltk:Fl_Input(60,10,210,25,"Periferica:")
io.input("/opt/.backup_device")
input:value(io.read("*line"))

noneBtn = fltk:Fl_Button(60,40,70,25,"&Nessuna")
noneBtn:callback(
function(noneBtn)
  if fltk.fl_choice("In questo modo non avrai + una xiferica x il salvataggio! Sei sicuro?","No","Si",NULL) == 1 then
     os.execute("> /opt/.backup_device")
     os.exit(0)
  end
end)

backup = fltk:Fl_Button(130,40,70,25,"&Salvataggio")
backup:callback(
function(backup)
  if input:value() == "" then
     io.write(string.char(7)) io.flush()
  else
     status = os.execute('sudo /usr/sbin/filetool.sh backup noprompt '.. input:value())
     if status ~= 0 then
        fltk.fl_alert("Periferica non valida: "..input:value())
     end
     os.exit(0)
  end
end)

restore = fltk:Fl_Button(200,40,70,25,"&Carica")
restore:callback(
function(restore)
  if input:value() == "" then
     io.write(string.char(7)) io.flush()
  else
     status = os.execute('sudo /usr/sbin/filetool.sh restore noprompt '.. input:value())
     if status ~= 0 then
        fltk.fl_alert("Periferica non valida: "..input:value())
     end
     os.exit(0)
  end
end)

w:show()
Fl:run()
