#!/bin/lua
-- (c) 2005,2006 Robert Shingledecker
--
MYMENU  = "/tmp/mydsl.menu/"

function processInfo(filename,target)
   local mymenu,err = io.open(target, "r")
   if not mymenu then
      print("Impossibile aprire " ..target.. ": " .. err)
      os.exit(1)
   end

   local dslmenu,err = io.open(filename, "r")
   if not dslmenu then
      print("Impossibile aprire " ..filename.. ": " .. err)
      os.exit(1)
   end
   data = {}
   for line in dslmenu:lines() do data[#data + 1] = line end
   dslmenu:close()

   local fileout,err = io.open(filename,"w")
   if not fileout then
      print("Impossibile aprire il file " ..filename.. ": " .. err)
      os.exit(1)
   end
   
   local item = mymenu:read("*l")
   for i = 1, #data do
      line = data[i]
      if item ~= line then
         fileout:write(line,"\n")
      else
        item = mymenu:read("*l")
      end
   end
   mymenu:close()
   fileout:close()
   return
end

-- Main

if #arg == 0 then
   print("Usage: mkmymenu.lua itemname")
   os.exit(1)
end

target = MYMENU..arg[1]
processInfo("/opt/.mydsl_menu/fluxbox", target)

os.execute("/etc/init.d/flux2jwm.lua "..MYMENU..arg[1].." > /tmp/tmpfile")
processInfo("/opt/.mydsl_menu/jwm", "/tmp/tmpfile")
