#!/bin/lua

-- cardcontrol.lua by J.P. Nimmo
-- some stuff, like the tab setup and text -to-frame stuff shamelessly ripped off from
-- Robert Shingledecker's stats.lua
-- converted to Lua 5.1.1/Fltk via MurgaLua by Robert Shingledecker
require("fltk")
window_width = 600
window_height = 350
view_port = window_height-25

w = fltk:Fl_Window(window_width,window_height,"Gestione PCMCIA")
w:callback(
function(w)
	os.remove("cards.txt")
	os.remove("/tmp/cards.txt")
	os.exit(0)
end)

tabs = fltk:Fl_Tabs(0,0,window_width,window_height)
tabs:box(fltk.FL_THIN_UP_BOX)
tabs:selection_color(fltk.FL_GREEN)

tab1 = fltk:Fl_Group(0,0,window_width,view_port,"main")
mainBox = fltk:Fl_Box(10,10,window_width-20,view_port-20)
mainBox:box(fltk.FL_ENGRAVED_BOX)
mainBox:label(
[[Slot 0







Slot 1







]])

slot0suspend = fltk:Fl_Button(30,80,100,30, "sospendi")
slot0suspend:callback(
function(slot0suspend)
   os.execute("sudo cardctl suspend 0")
end)

slot0resume = fltk:Fl_Button(140,80,100,30, "riattiva")
slot0resume:callback(
function(slot0resume)
   os.execute("sudo cardctl resume 0")
end)

slot0reset = fltk:Fl_Button(250,80,100,30, "resetta")
slot0reset:callback(
function(slot0reset)
   os.execute("sudo cardctl reset 0")
end)

slot0eject = fltk:Fl_Button(360,80,100,30, "espelli")
slot0eject:callback(
function(slot0eject)
   os.execute("sudo cardctl eject 0")
end)

slot0insert = fltk:Fl_Button(470,80,100,30, "inserisci")
slot0insert:callback(
function(slot0insert)
   os.execute("sudo cardctl insert 0")
end)

slot1suspend = fltk:Fl_Button(30,210,100,30, "sospendi")
slot1suspend:callback(
function(slot1suspend)
   os.execute("sudo cardctl suspend 1")
end)

slot1resume = fltk:Fl_Button(140,210,100,30, "riattiva")
slot1resume:callback(
function(slot1resume)
   os.execute("sudo cardctl resume 1")
end)

slot1reset = fltk:Fl_Button(250,210,100,30, "resetta")
slot1reset:callback(
function(slot1reset)
   os.execute("sudo cardctl reset 1")
end)

slot1eject = fltk:Fl_Button(360,210,100,30, "espelli")
slot1eject:callback(
function(slot1eject)
   os.execute("sudo cardctl eject 1")
end)

slot1insert = fltk:Fl_Button(470,210,100,30, "inserisci")
slot1insert:callback(
function(slot1insert)
   os.execute("sudo cardctl insert 1")
end)
fltk:Fl_End()

tab2 = fltk:Fl_Group(0,0,window_width,view_port,"stato")
pg2browser = fltk:Fl_Browser(0,0,window_width,view_port)
os.execute('cardctl status | tee /tmp/cards.txt >> cards.txt')
if not pg2browser:load("/tmp/cards.txt") then
   print("impossibile caricare browser.data")
   os.exit(1)
end
pg2browser:position(0)
fltk:Fl_End()

tab3 = fltk:Fl_Group(0,0,window_width,view_port,"configura")
pg3browser = fltk:Fl_Browser(0,0,window_width,view_port)
os.execute('cardctl config | tee /tmp/cards.txt >> cards.txt')
if not pg3browser:load("/tmp/cards.txt") then
   print("impossibile caricare browser.data")
   os.exit(1)
end
pg3browser:position(0)
fltk:Fl_End()

tab4 = fltk:Fl_Group(0,0,window_width,view_port,"identit")
pg4browser = fltk:Fl_Browser(0,0,window_width,view_port)
os.execute('cardctl ident | tee /tmp/cards.txt >> cards.txt')
if not pg4browser:load("/tmp/cards.txt") then
   print("Impossibile caricare browser.data")
   os.exit(1)
end
pg4browser:position(0)
fltk:Fl_End()

tab5 = fltk:Fl_Group(0,0,window_width,view_port,"info")
pg5browser = fltk:Fl_Browser(0,0,window_width,view_port)
os.execute('cardctl info | tee /tmp/cards.txt >> cards.txt')
if not pg5browser:load("/tmp/cards.txt") then
   print("Impossibile caricare browser.data")
   os.exit(1)
end
pg5browser:position(0)
fltk:Fl_End()

fltk:Fl_End()
w:resizable(w)
w:show()
Fl:run()
