#!/bin/lua
require("fltk")

-- fdtool.lua by J.P. Nimmo
-- some code was shamelessly stolen from Robert Shingledecker's mydsl-wget
-- converted to Lua 5.1.1 MurgaLua by Robert Shingledecker, 10/05/2006

window_width = 500
window_height = 350
view_point = window_height-35
data = [[
Primo, imposta la capacit del floppy, 1440k o 1722k.

Il pulsante "formatta" creer un disco vuoto formattato FAT.

X creare l'immagine d un floppy, digita il xcorso dove vuoi che 
l'immagine venga salvata e premi "crea immagine".

X applicare un'immagine ad un floppy, 
inserisci il xcorso dell'immagine e premi "applica immagine".
]]

function mainwindow()
w = fltk:Fl_Window(window_width,window_height,"Strumento x floppy")
mainBox = fltk.Fl_Box(10,10,window_width-20,window_height-20)
mainBox:box(fltk.FL_EMBOSSED_BOX)

innerBox = fltk:Fl_Box(50,50,window_width-100,window_height-160)
innerBox:box(fltk.FL_ENGRAVED_BOX)

innerBox:label(data)

sel1440k = fltk:Fl_Round_Button(130,20,100,25,"1440k")
sel1440k:value(1)
sel1440k:type(fltk.FL_RADIO_BUTTON)
sel1440k:selection_color(fltk.FL_RED)
	
sel1722k = fltk:Fl_Round_Button(260,20,100,25,"1722k")
sel1722k:type(fltk.FL_RADIO_BUTTON)
sel1722k:selection_color(fltk.FL_RED)

imagepath = fltk:Fl_Input(100,250,320,25,"Percorso imm.: ")

formatButton = fltk:Fl_Button(30,290,100,30,"formatta")
formatButton:callback(
function(formatButton)
	if sel1440k:value() == 1 then 
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "ridimensiono e formatto il floppy" -e floppytool.sh format 1440')
	end
	if sel1722k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "ridimensiono e formatto il floppy" -e floppytool.sh format 1722')
	end
end)
	
mkimageButton = fltk:Fl_Button(140,290,100,30,"Crea immagine")
mkimageButton:callback(
function(mkimageButton)
	if sel1440k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Creo immagine del Floppy" -e floppytool.sh makeimage 1440 ' .. imagepath:value() .. '')
	end
	if sel1722k:value() == 1 then
		execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Creo immagine del Floppy" -e floppytool.sh makeimage 1722 ' .. imagepath:value() .. '')
	end
end)
	
applyimageButton = fltk:Fl_Button(250,290,100,30,"applica imm.")
applyimageButton:callback(
function(applyimageButton)
	if sel1440k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Scrivo Floppy da immagine" -e floppytool.sh applyimage 1440 ' .. imagepath:value() .. '')
	end
	if sel1722k:value() == 1 then
		os.execute('aterm +tr -bg white -fg black -geometry 80x4 -T "Scrivo Floppy da immagine" -e floppytool.sh applyimage 1722 ' .. imagepath:value() .. '')
	end
end)
	
cancelButton = fltk:Fl_Button(360,290,100,30,"Annulla")
cancelButton:callback(
function(cancelButton)
	os.exit(0)
end)

w:show()
Fl:run()
end

mainwindow()
