#!/bin/lua 
-- Mount script * Mixer for Damn Small Linux
-- By John Andrews
-- ported to murgaLua 10-22-06
require("fltk")
dofile("/etc/init.d/functions5.lua")
dofile("/etc/init.d/mount_common.lua")
-- dofile("/etc/init.d/mixer_common.lua")

n =1
mount_locations = {}
mount_name = {}
update_mountables()

w = fltk:Fl_Window(70,40, "docked")
w:color(46)
w:labelsize(10)

mount_down = fltk:Fl_Button(1,1,70,20, tailString(mount_name[1],"/"))
mount_down:tooltip("Clicca su una periferica x scorrerle")
mount_down:labelsize(10)
mount_down:callback(
    function(mount_down)
	if n > nl -2  then
		update_mountables()
		n = 1
	else
		n = n + 1
	end
	mount_down:label(tailString(mount_name[n],"/"))
	mount_down:redraw()
	test_if_mounted()
end) --mount_down end

mount_me= fltk:Fl_Button(1,20,70,20, mount_or_un)
mount_me:tooltip("Clica x cambiare lo stato di montaggio")
mount_me:labelsize(10)
mount_me:callback(
    function(mount_me)
	test_if_mounted()
	mount_it()
	test_if_mounted()
end) --mount_me end
test_if_mounted()
---Mount Section End

fltk:Fl_End();

w:show()
Fl:run()
