#!/bin/lua
-- (c) 2005,2006 Robert Shingledecker
-- GUI frontend to /opt/.dslrc

require("fltk")
dofile("/etc/init.d/functions5.lua")

w = fltk:Fl_Window(420,100, "DSL Mirror")
url = fltk:Fl_Input(60,10,350,25,"URL:")
url:value(getOption("/opt/.dslrc","Mirror"))

protocol = fltk:Fl_Input(60,40,50,25,"Protoc.:")
protocol:value(getOption("/opt/.dslrc","Protocol"))

select = fltk:Fl_Button(135,70,70,25,"&Seleziona")
select:callback(
function(select)
  os.execute('dslMirrorSel.lua')
  url:value(getOption("/opt/.dslrc","Mirror"))
  protocol:value(getOption("/opt/.dslrc","Protocollo"))
end)

save = fltk:Fl_Button(225,70,70,25,"&OK")
save:callback(
function(save)
  if url:value() == "" then
     io.write(string.char(7)) io.flush()
  else
     io.output("/opt/.dslrc")
     io.write("Mirror: "..url:value() .. "\n")
     io.write("Protocollo: "..protocol:value() ..  "\n")
     io.flush()
     os.exit(0)
  end
end)

w:show()
Fl:run()
