#!/bin/lua

-- (c) 2005,2006 Robert Shingledecker
-- mirror selector noramlly called from dslMirror.lua

require("fltk")
function parseInfo(s)
  local i,j = string.find(s,"href")
  if not i then
     return nil
  end
  local i,j = string.find(s,"=")
  local t=string.sub(s,i+1)
  local k,l = string.find(t,'>')
  s=string.sub(t,1,k-1)
  return s
end

-- Main

mirror = "www.damnsmalllinux.org"
protocol = "http"

os.execute('wget -q '..protocol..'://'..mirror..'/download.html')
local file,err = io.open("download.html", "r")
if not file then
   print("Impossibile aprire il file download.html: ".. err)
   os.exit(1)
end
filetable = {}
fname = os.tmpname()
filelist = io.open(fname,"w")
line = file:read("*l")
while line do
   if string.find(line,"Full Mirror") then
      result = parseInfo(line)
      if result then
         table.insert(filetable,result)
         filelist:write(result .. "\n")
      end
   end
   line = file:read("*l")
end
file:close()
filelist:close()

w = fltk:Fl_Window(400,200,"Lista dei Mirror")
w:callback(
function(w)
  os.remove(fname)
  os.remove('download.html')
  os.exit(0)
end)
selector = fltk:Fl_Select_Browser(0,0,400,200)
selector:callback(
function(selector)
   selected_item = filetable[selector:value()]
   i,j = string.find(selected_item,":")
   protocol=string.sub(selected_item,1,i-1)
   i,j = string.find(selected_item,"//")
   mirror = string.sub(selected_item,i+2)
   os.remove(fname)
   os.remove('download.html')
   io.output("/opt/.dslrc")
   io.write("Mirror: "..mirror .."\n")
   io.write("Protocol: "..protocol .."\n")
   io.flush()
   os.exit(0)
end)

if not selector:load(fname) then
   print("impossibile caricare ", fname)
   os.exit(1)
end

selector:position(0)
w:resizable(selector)
w:show()
Fl:run()
