#!/bin/lua
-- Mount script for Damn Small Linux
-- By John Andrews
-- ported to murgaLua 10-22-06

require("fltk")

dofile("/etc/init.d/functions5.lua")
dofile("/etc/init.d/mount_common.lua")
window = fltk:Fl_Window(80, 50, "Mount App")

n =1
mount_locations = {}
mount_name = {}
update_mountables()

print(mount_name)
print(#mount_name)
for i=1, 6 do
   print(mount_name[i])
end

mount_down = fltk:Fl_Button(1, 1, 80, 25)
mount_down:tooltip("Click sul bottone periferica x scorrere le periferiche disponibili")
mount_down:label(tailString(mount_name[n],"/"))
mount_down:callback(
  function(mount_down)
    if n > nl -2  then
      update_mountables()          
      n = 1
    else
      n = n + 1
    end
    test_if_mounted()
    mount_down:label(tailString(mount_name[n],"/"))
    mount_down:redraw()
  end
)

mount_me = fltk:Fl_Button(1, 26, 80, 25)
mount_me:tooltip("Click x cambiare lo stato di montaggio")
mount_me:callback(
  function(mount_me)
    mountings()
  end
)     

test_if_mounted()

window:show()
Fl:run()
