#!/bin/lua
-- flua smbclient gui for Damnsmall Linux
-- (C) 2004-2006 Robert Shingledecker

require("fltk")
function data_check(command)
   if domain:value() == "" then return nil end
   if machine:value() == "" then return nil end
   if share:value() == "" then return nil end
   if name:value() == "" then return nil end
   if passwd:value() == "" then return nil end
   return ""
end

function process_data()
   w = fltk:Fl_Window(320,200, "DSL smbclient: accesso tipo FTP a Windows")
   domain = fltk:Fl_Input(76,10,210,25,"Dominio:")
   machine = fltk:Fl_Input(76,40,210,25,"Macchina:")
   share = fltk:Fl_Input(76,70,210,25,"Condivisione:")
   name = fltk:Fl_Input(76,100,210,25,"Utente:")
   passwd = fltk:Fl_Secret_Input(76,130,210,25,"Password:")
 
   connectBtn = fltk:Fl_Button(150,170,70,25,"Connetti")
   connectBtn:callback(
   function(connectBtn)
      if data_check() then
         os.execute('aterm +tr -bg blue -fg white -e smbclient //' .. machine:value() .. '/' .. share:value() .. ' -U' ..name:value() .. '%' .. passwd:value() .. ' -W' .. domain:value())
         os.exit(0)
      else
         print("Errore")
      end
   end)

   w:show()
   Fl:run()
end

-- Main
process_data()
