#!/bin/lua
-- Lua/Fltk GUI Wrapper for SSH Mount
-- (C) 2007 Robert Shingledecker

require("fltk")
function data_check()
   if host:value() == "" then return nil end
   if user:value() == "" then return nil end
   if password:value() == "" then return nil end
   if dir:value() == "" then return nil end
end

function get_data()
   w = fltk:Fl_Window(320,175, "Montaggio SSH")
   host = fltk:Fl_Input(76,10,210,25,"Macchina:")
--[[
   if host:value() == "" then
      host:value("/mnt/hda1/windows/netcard.inf")
   end
]]--
   user = fltk:Fl_Input(76,40,210,25,"Utente:")
--[[
   if user:value() == "" then
      user:value("wlan0")
   end
]]--
   password = fltk:Fl_Input(76,70,210,25,"Password:")
   dir = fltk:Fl_Input(76,100,210,25,"Cartella:")
 
   cancel = fltk:Fl_Button(106,130,70,25,"&Annulla")
   cancel:callback(
   function(cancel)
     os.exit(0)
   end)

   ok = fltk:Fl_Button(180,130,70,25,"&OK")
   ok:callback(
   function(ok)
      if data_check() then
	 result = os.execute('sudo /usr/local/bin/ndiswrapper.sh ' .. inf:value() .. ' ' .. device:value() .. ' ' .. sid:value().. ' ' .. wep:value())
         if result ~= 0 then
            fltk.fl_alert("Connessione fallita.")
         else
            os.execute('ifconfig '..device:value()..' |grep inet > /tmp/pipe.lua &')
            io.input('/tmp/pipe.lua')
            ip_info = io.read("*line")
            fltk.fl_message("Connesso! "..ip_info)
         end
         os.exit(0)
      else
         io.write(string.char(7)) io.flush()
      end
   end)

   w:show()
   Fl:run()
end

-- Main
get_data()
