#!/bin/lua
-- lua Split DSL's KNOPPIX file into floppy sized files
-- useful for Poorman's Installations
-- (C) Robert Shingledecker 2007

count = 0
local file,err = io.open("/cdrom/KNOPPIX/KNOPPIX","rb")
if err then
   file,err = io.open("/cdrom/knoppix/knoppix","rb")
   if err then
      print("Impossibile trovare il file KNOPPIX.")
      os.exit(1)
   end
end
 
mount_results = os.tmpname()

local block = 1457000
while true do
   local bytes = file:read(block)
   if not bytes then break end
   count = count + 1
   chunk_name = "chunk" .. string.format("%02d",count)
   fileout = io.open(chunk_name,"w")
   fileout:write(bytes)
   fileout:close()
   if arg[1] == "floppy" then
      print("Inserisci il disco numero "..count.." nel computer e ")
      print(" premi un tasto o premi q per annullare: ")
      answer = io.read()
      if answer == 'q' then os.exit(1) end
      os.execute("mount /mnt/auto/floppy 2>" .. mount_results)
      local result = io.open(mount_results,"r")
      mount_error = result:read("*line")
      result:close()
      if mount_error ~= nil then
         print("Errore nel montare il floppy!")
         os.exit(1)
      end
      os.execute("rm -f /mnt/auto/floppy/chunk*")
      os.execute("cp ".. chunk_name .." /mnt/auto/floppy")
      os.execute("umount /mnt/auto/floppy 2>" .. mount_results)
      os.remove(chunk_name)
   end
end
